

# DeleteAnalyzer
<a name="API_DeleteAnalyzer"></a>

Deletes the specified analyzer. When you delete an analyzer, IAM Access Analyzer is disabled for the account or organization in the current or specific Region. All findings that were generated by the analyzer are deleted. You cannot undo this action.

## Request Syntax
<a name="API_DeleteAnalyzer_RequestSyntax"></a>

```
DELETE /analyzer/{{analyzerName}}?clientToken={{clientToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAnalyzer_RequestParameters"></a>

The request uses the following URI parameters.

 ** [analyzerName](#API_DeleteAnalyzer_RequestSyntax) **   <a name="accessanalyzer-DeleteAnalyzer-request-uri-analyzerName"></a>
The name of the analyzer to delete.  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Pattern: `[A-Za-z][A-Za-z0-9_.-]*`   
Required: Yes

 ** [clientToken](#API_DeleteAnalyzer_RequestSyntax) **   <a name="accessanalyzer-DeleteAnalyzer-request-uri-clientToken"></a>
A client token.

## Request Body
<a name="API_DeleteAnalyzer_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAnalyzer_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteAnalyzer_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteAnalyzer_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
Internal server error.    
 ** retryAfterSeconds **   
The seconds to wait to retry.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be found.    
 ** resourceId **   
The ID of the resource.  
 ** resourceType **   
The type of the resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Throttling limit exceeded error.    
 ** retryAfterSeconds **   
The seconds to wait to retry.
HTTP Status Code: 429

 ** ValidationException **   
Validation exception error.    
 ** fieldList **   
A list of fields that didn't validate.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeleteAnalyzer_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/accessanalyzer-2019-11-01/DeleteAnalyzer) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/accessanalyzer-2019-11-01/DeleteAnalyzer) 